## baresip-3.11.0.tar.gz

=== CMakeLists.txt ===
#
# CMakeLists.txt
#
# Copyright (C) 2010 - 2022 Alfred E. Heggestad
# Copyright (C) 2022 Sebastian Reimers
# Copyright (C) 2023 Christian Spielberger
#

##############################################################################
#
# Versioning
#

cmake_minimum_required(VERSION 3.14)

project(baresip VERSION 3.11.0)

set(PROJECT_SOVERSION 15) # bump if ABI breaks

# Pre-release identifier, comment out on a release
# Increment for breaking changes (dev2, dev3...)
#set(PROJECT_VERSION_PRE dev)

if(PROJECT_VERSION_PRE)
  set(PROJECT_VERSION_FULL ${PROJECT_VERSION}-${PROJECT_VERSION_PRE})
else()
  set(PROJECT_VERSION_FULL ${PROJECT_VERSION})
endif()

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_LIST_DIR}/cmake)

##############################################################################
#
# Module/Package Includes
#

include(GNUInstallDirs)
include(CheckIncludeFile)
find_package(RE REQUIRED)

##############################################################################
#
# Compile options
#

if(WIN32)
  option(STATIC "Build static" ON)
else()
  option(STATIC "Build static" OFF)
endif()


set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
set(CMAKE_C_STANDARD 11)

list(FIND CMAKE_C_IMPLICIT_LINK_DIRECTORIES
  "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" IS_SYSTEM_DIR)
if(IS_SYSTEM_DIR STREQUAL "-1")
  set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
  set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
endif()

if(MSVC)
  add_compile_options("/W3")
else()
  add_compile_options(
    -Wall
    -Wextra
  )

  set(c_flags
    -pedantic
    -Wcast-align
    -Wbad-function-cast
    -Wmissing-declarations
    -Wmissing-prototypes
    -Wnested-externs
    -Wno-strict-aliasing
    -Wold-style-definition
    -Wshadow -Waggregate-return
    -Wstrict-prototypes
    -Wuninitialized
    -Wvla
  )

  if(CMAKE_C_COMPILER_ID MATCHES "Clang")
    list(APPEND c_flags
      -Watomic-implicit-seq-cst
      -Wshorten-64-to-32
      -Wno-gnu-zero-variadic-macro-arguments
    )
  endif()

  add_compile_options(
    "$<$<COMPILE_LANGUAGE:C>:${c_flags}>"
  )
endif()



find_package(re CONFIG REQUIRED HINTS ../re/cmake)

list(APPEND RE_DEFINITIONS
  VERSION="${PROJECT_VERSION_FULL}"
  VER_MAJOR=${PROJECT_VERSION_MAJOR}
  VER_MINOR=${PROJECT_VERSION_MINOR}
  VER_PATCH=${PROJECT_VERSION_PATCH}
)

add_compile_definitions(${RE_DEFINITIONS})

include_directories(
  include
  src
  ${RE_INCLUDE_DIRS}
  ${OPENSSL_INCLUDE_DIR}
)

if(MOD_PATH)
  add_definitions(-DMOD_PATH="${MOD_PATH}")
elseif(CMAKE_INSTALL_FULL_LIBDIR)
  add_definitions(-DMOD_PATH="${CMAKE_INSTALL_FULL_LIBDIR}/baresip/modules")
endif()

if(SHARE_PATH)
  add_definitions(-DSHARE_PATH="${SHARE_PATH}")
else()
  add_definitions(-DSHARE_PATH="${CMAKE_INSTALL_FULL_DATADIR}/baresip")
endif()

if(DEFAULT_CAFILE)
  add_definitions(-DDEFAULT_CAFILE="${DEFAULT_CAFILE}")
endif()

if(DEFAULT_CAPATH)
  add_definitions(-DDEFAULT_CAPATH="${DEFAULT_CAPATH}")
endif()

if(DEFAULT_AUDIO_DEVICE)
  add_definitions(-DDEFAULT_AUDIO_DEVICE="${DEFAULT_AUDIO_DEVICE}")
endif()

if(STATIC)
  add_definitions(-DSTATIC)
endif()

##############################################################################
#
# Source section
#

set(SRCS
  src/account.c
  src/aucodec.c
  src/audio.c
  src/aufilt.c
  src/auplay.c
  src/aureceiver.c
  src/ausrc.c
  src/baresip.c
  src/bundle.c
  src/call.c
  src/cmd.c
  src/conf.c
  src/config.c
  src/contact.c
  src/custom_hdrs.c
  src/descr.c
  src/dial_number.c
  src/event.c
  src/jbuf.c
  src/http.c
  src/log.c
  src/mediadev.c
  src/mediatrack.c
  src/menc.c
  src/message.c
  src/metric.c
  src/mnat.c
  src/module.c
  src/net.c
  src/peerconn.c
  src/play.c
  src/reg.c
  src/rtprecv.c
  src/rtpstat.c
  src/sdp.c
  src/sipreq.c
  src/stream.c
  src/stunuri.c
  src/timestamp.c
  src/ua.c
  src/uag.c
  src/ui.c
  src/vidcodec.c
  src/video.c
  src/vidfilt.c
  src/vidisp.c
  src/vidsrc.c
  src/vidutil.c
)

set(HEADERS
  include/baresip.h
)

##############################################################################
#
# Modules
#

include(modules)

set(MODULES_DETECTED "")

foreach(mod IN LISTS MODULES)
  add_subdirectory(modules/${mod})
endforeach()

foreach(mod IN LISTS APP_MODULES)
  add_subdirectory(
    ${APP_MODULES_DIR}/${mod}
    ${CMAKE_CURRENT_BINARY_DIR}/app_modules/${mod}
  )
  list(APPEND MODULES_DETECTED ${mod})
endforeach()

list(REMOVE_DUPLICATES MODULES_DETECTED)

foreach(mod IN LISTS MODULES_DETECTED)
  set_target_properties(${mod} PROPERTIES PREFIX "")
endforeach()

message("MODULES_DETECTED=${MODULES_DETECTED}")

if(STATIC)
  foreach(mod IN LISTS MODULES_DETECTED)
    set(MOD_EXPORTS
      "${MOD_EXPORTS}extern const struct mod_export exports_${mod};\n")
    set(MOD_EXPORT_TABLE
      "${MOD_EXPORT_TABLE}  &exports_${mod},\n")
  endforeach()

  configure_file(src/static.c.in src/static.c)
  list(APPEND SRCS ${CMAKE_CURRENT_BINARY_DIR}/src/static.c)
else()
  foreach(mod IN LISTS MODULES_DETECTED)
    if(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
      set_target_properties(${mod} PROPERTIES
                            LINK_FLAGS "-undefined dynamic_lookup")
    endif()
  endforeach()
endif()


##############################################################################
#
# Main target library
#

set(LINKLIBS ${RE_LIBRARIES} ${RE_LIBS})

if(WIN32)
  list(APPEND LINKLIBS winmm gdi32 crypt32 strmiids ole32 oleaut32)
endif()

if(STATIC)
  add_library(baresip STATIC ${SRCS} ${HEADERS})
  target_link_libraries(baresip PUBLIC ${LINKLIBS} ${MODULES_DETECTED})
  target_include_directories(baresip PUBLIC include)
else()
  add_library(baresip SHARED ${SRCS} ${HEADERS})
  target_link_libraries(baresip PRIVATE ${LINKLIBS})
  set_target_properties(baresip PROPERTIES VERSION
    ${PROJECT_SOVERSION}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH})
  set_target_properties(baresip PROPERTIES SOVERSION ${PROJECT_SOVERSION})
endif()

if(MSVC)
  set_target_properties(baresip PROPERTIES OUTPUT_NAME "libbaresip")
endif()

set_target_properties(baresip PROPERTIES POSITION_INDEPENDENT_CODE ON)

set_target_properties(baresip PROPERTIES PUBLIC_HEADER "${HEADERS}")


##############################################################################
#
# Target baresip executable
#

add_executable(baresip_exe src/main.c)

set_target_properties(baresip_exe PROPERTIES OUTPUT_NAME baresip)

target_link_libraries(baresip_exe PRIVATE baresip ${LINKLIBS})

##############################################################################
#
# Packaging section
#

if(CMAKE_SOURCE_DIR STREQUAL CMAKE_CURRENT_SOURCE_DIR)
  add_subdirectory(packaging)
endif()

configure_file(packaging/libbaresip.pc.in libbaresip.pc @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libbaresip.pc
  DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
  COMPONENT Development
)


##############################################################################
# Test and webrtc
#

add_subdirectory(webrtc)
add_subdirectory(test)


##############################################################################
# Symlink modules to build dir (needed for test and baresip_exe)
#

if(NOT STATIC AND UNIX)
  foreach(mod IN LISTS MODULES_DETECTED)
    set(mod_lib ${mod}${CMAKE_SHARED_MODULE_SUFFIX})
    add_custom_command(
      TARGET baresip_exe POST_BUILD
      COMMAND ${CMAKE_COMMAND} -E create_symlink
        ${CMAKE_CURRENT_BINARY_DIR}/modules/${mod}/${mod_lib}
        ${CMAKE_CURRENT_BINARY_DIR}/${mod_lib}
    )
  endforeach()
  foreach(mod IN LISTS APP_MODULES)
    set(mod_lib ${mod}${CMAKE_SHARED_MODULE_SUFFIX})
    add_custom_command(
      TARGET baresip_exe POST_BUILD
      COMMAND ${CMAKE_COMMAND} -E create_symlink
        ${CMAKE_CURRENT_BINARY_DIR}/app_modules/${mod}/${mod_lib}
        ${CMAKE_CURRENT_BINARY_DIR}/${mod_lib}
    )
  endforeach()
endif()


##############################################################################
#
# Install section
#

install(TARGETS baresip_exe baresip
  RUNTIME
    DESTINATION ${CMAKE_INSTALL_BINDIR}
    COMPONENT Applications
  LIBRARY
    DESTINATION ${CMAKE_INSTALL_LIBDIR}
    COMPONENT Libraries
    NAMELINK_SKIP
  ARCHIVE
    DESTINATION ${CMAKE_INSTALL_LIBDIR}
    COMPONENT Development
  PUBLIC_HEADER
    DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
    COMPONENT Development
)

if(NOT STATIC)
  foreach(mod IN LISTS MODULES_DETECTED)
    install(TARGETS ${mod}
      LIBRARY
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/baresip/modules
        COMPONENT Applications
    )
  endforeach()
endif()

install(TARGETS baresip
  LIBRARY
    DESTINATION ${CMAKE_INSTALL_LIBDIR}
    NAMELINK_ONLY
    COMPONENT Development
)

file(GLOB SHARE_FILES "${PROJECT_SOURCE_DIR}/share/*")

install(FILES ${SHARE_FILES}
  DESTINATION ${CMAKE_INSTALL_DATADIR}/baresip
  COMPONENT Applications
)

=== packaging/CMakeLists.txt ===
set(CPACK_PACKAGE_NAME baresip)
set(CPACK_PACKAGE_VENDOR baresip)
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY
  "Baresip is a modular SIP User-Agent with audio and video support")
set(CPACK_PACKAGE_INSTALL_DIRECTORY ${CPACK_PACKAGE_NAME})
set(CPACK_PACKAGE_VERSION_MAJOR ${PROJECT_VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${PROJECT_VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${PROJECT_VERSION_PATCH})
set(CPACK_VERBATIM_VARIABLES YES)
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/LICENSE")
set(CPACK_RESOURCE_FILE_README "${CMAKE_SOURCE_DIR}/README.md")

include(CPack)

=== test/CMakeLists.txt ===
#
# CMakeLists.txt
#
# Copyright (C) 2022 Sebastian Reimers
#

project(selftest)

include_directories(${RE_INCLUDE_DIRS} ${BARESIP_INCLUDE_DIRS})

add_executable(${PROJECT_NAME}
  account.c
  call.c
  cmd.c
  contact.c
  event.c
  jbuf.c
  menu.c
  message.c
  net.c
  play.c
  stunuri.c
  ua.c
  video.c

  mock/dnssrv.c

  sip/aor.c
  sip/auth.c
  sip/domain.c
  sip/location.c
  sip/sipsrv.c
  sip/user.c

  mock/cert.c

  mock/mock_auplay.c
  mock/mock_mnat.c
  mock/mock_vidcodec.c
  mock/mock_vidisp.c

  test.c

  main.c
)

target_link_libraries(${PROJECT_NAME} baresip ${REM_LIBRARIES} ${RE_LIBRARIES})

=== modules/aubridge/CMakeLists.txt ===
project(aubridge)

list(APPEND MODULES_DETECTED ${PROJECT_NAME})
set(MODULES_DETECTED ${MODULES_DETECTED} PARENT_SCOPE)

set(SRCS aubridge.c device.c play.c src.c)

if(STATIC)
    add_library(${PROJECT_NAME} OBJECT ${SRCS})
else()
    add_library(${PROJECT_NAME} MODULE ${SRCS})
endif()

=== modules/audiounit/CMakeLists.txt ===
project(audiounit)

if(NOT ${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  return()
endif()

list(APPEND MODULES_DETECTED ${PROJECT_NAME})
set(MODULES_DETECTED ${MODULES_DETECTED} PARENT_SCOPE)

set(SRCS audiounit.c player.c recorder.c sess.c)

if(STATIC)
  add_library(${PROJECT_NAME} OBJECT ${SRCS})
else()
  add_library(${PROJECT_NAME} MODULE ${SRCS})
endif()

target_link_libraries(${PROJECT_NAME} PRIVATE
  "-framework CoreAudio"
  "-framework AudioToolbox"
)

=== modules/avcodec/CMakeLists.txt ===
project(avcodec)

find_package(FFMPEG COMPONENTS
    avcodec avfilter avformat swscale swresample avdevice avutil)

if(NOT FFMPEG_FOUND)
  return()
endif()

list(APPEND MODULES_DETECTED ${PROJECT_NAME})
set(MODULES_DETECTED ${MODULES_DETECTED} PARENT_SCOPE)

set(SRCS avcodec.c encode.c decode.c sdp.c)

if(STATIC)
  add_library(${PROJECT_NAME} OBJECT ${SRCS})
else()
  add_library(${PROJECT_NAME} MODULE ${SRCS})
endif()

target_include_directories(${PROJECT_NAME} PRIVATE ${FFMPEG_INCLUDE_DIRS})
target_link_libraries(${PROJECT_NAME} PRIVATE ${FFMPEG_LIBRARIES})

=== modules/avformat/CMakeLists.txt ===
project(avformat)

find_package(FFMPEG COMPONENTS
    avcodec avfilter avformat swscale swresample avdevice avutil)

if(NOT FFMPEG_FOUND)
  return()
endif()

list(APPEND MODULES_DETECTED ${PROJECT_NAME})
set(MODULES_DETECTED ${MODULES_DETECTED} PARENT_SCOPE)

set(SRCS avformat.c audio.c video.c)

if(STATIC)
  add_library(${PROJECT_NAME} OBJECT ${SRCS})
else()
  add_library(${PROJECT_NAME} MODULE ${SRCS})
endif()

target_include_directories(${PROJECT_NAME} PRIVATE ${FFMPEG_INCLUDE_DIRS})
target_link_libraries(${PROJECT_NAME} PRIVATE ${FFMPEG_LIBRARIES})

=== modules/ctrl_tcp/CMakeLists.txt ===
project(ctrl_tcp)

list(APPEND MODULES_DETECTED ${PROJECT_NAME})
set(MODULES_DETECTED ${MODULES_DETECTED} PARENT_SCOPE)

set(SRCS ctrl_tcp.c tcp_netstring.c netstring/netstring.c)

if(STATIC)
    add_library(${PROJECT_NAME} OBJECT ${SRCS})
else()
    add_library(${PROJECT_NAME} MODULE ${SRCS})
endif()

=== modules/debug_cmd/CMakeLists.txt ===
project(debug_cmd)

list(APPEND MODULES_DETECTED ${PROJECT_NAME})
set(MODULES_DETECTED ${MODULES_DETECTED} PARENT_SCOPE)

set(SRCS debug_cmd.c)

if(STATIC)
    add_library(${PROJECT_NAME} OBJECT ${SRCS})
else()
    add_library(${PROJECT_NAME} MODULE ${SRCS})
endif()

=== modules/ebuacip/CMakeLists.txt ===
project(ebuacip)

list(APPEND MODULES_DETECTED ${PROJECT_NAME})
set(MODULES_DETECTED ${MODULES_DETECTED} PARENT_SCOPE)

set(SRCS ebuacip.c)

if(STATIC)
    add_library(${PROJECT_NAME} OBJECT ${SRCS})
else()
    add_library(${PROJECT_NAME} MODULE ${SRCS})
endif()

=== modules/evdev/CMakeLists.txt ===
project(evdev)

if(NOT ${CMAKE_SYSTEM_NAME} MATCHES "Linux")
  return()
endif()

list(APPEND MODULES_DETECTED ${PROJECT_NAME})
set(MODULES_DETECTED ${MODULES_DETECTED} PARENT_SCOPE)

set(SRCS evdev.c print.c)

if(STATIC)
  add_library(${PROJECT_NAME} OBJECT ${SRCS})
else()
  add_library(${PROJECT_NAME} MODULE ${SRCS})
endif()

=== modules/g722/CMakeLists.txt ===
project(g722)

find_package(SPANDSP)

if(NOT SPANDSP_FOUND)
  return()
endif()

list(APPEND MODULES_DETECTED ${PROJECT_NAME})
set(MODULES_DETECTED ${MODULES_DETECTED} PARENT_SCOPE)

set(SRCS g722.c)

if(STATIC)
    add_library(${PROJECT_NAME} OBJECT ${SRCS})
else()
    add_library(${PROJECT_NAME} MODULE ${SRCS})
endif()

target_include_directories(${PROJECT_NAME} PRIVATE ${SPANDSP_INCLUDE_DIRS})
target_link_libraries(${PROJECT_NAME} PRIVATE ${SPANDSP_LIBRARIES})

=== debian/changelog ===
baresip (3.11.0) unstable; urgency=medium

  * version 3.11.0

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Tue, 09 Apr 2024 09:08:00 +0200

baresip (3.10.1) unstable; urgency=medium

  * version 3.10.1

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Tue, 12 Mar 2024 11:08:00 +0100

baresip (3.10.0) unstable; urgency=medium

  * version 3.10.0

 -- Christian Spielberger <c.spielberger@commend.com>  Wed, 6 Mar 2024 11:40:00 +0100

baresip (3.9.0) unstable; urgency=medium

  * version 3.9.0

 -- Alfred E. Heggestad <alfred.heggestad@gmail.com>  Wed, 31 Jan 2024 08:29:02 +0100

baresip (3.8.1) unstable; urgency=medium

  * version 3.8.1

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Tue, 2 Jan 2024 14:00:00 +0200

baresip (3.8.0) unstable; urgency=medium

  * version 3.8.0

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Wed, 27 Dec 2023 14:00:00 +0200

baresip (3.7.0) unstable; urgency=medium

  * version 3.7.0

 -- Christian Spielberger <c.spielberger@commend.com>  Wed, 22 Nov 2023 08:00:00 +0200

baresip (3.6.0) UNRELEASED; urgency=medium

  * version 3.6.0

 -- Juha Heinanen <jh@tutpro.com>  Thu, 02 Nov 2023 19:33:16 +0200

baresip (3.5.1) unstable; urgency=medium

  * version 3.5.1

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Tue, 12 Sep 2023 14:00:00 +0200

baresip (3.5.0) unstable; urgency=medium

  * version 3.5.0

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Tue, 12 Sep 2023 08:00:00 +0200

baresip (3.2.0) unstable; urgency=medium

  * version 3.2.0

 -- Christian Spielberger <c.spielberger@commend.com>  Wed, 31 May 2023 08:00:00 +0200

baresip (3.1.0) unstable; urgency=medium

  * version 3.1.0

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Thu, 27 Apr 2023 08:00:00 +0200

baresip (3.0.0) unstable; urgency=medium

  * version 3.0.0

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Wed, 20 Mar 2023 08:00:00 +0200

baresip (2.12.0) unstable; urgency=medium

  * version 2.12.0

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Wed, 15 Feb 2023 08:00:00 +0200

baresip (2.11.0) unstable; urgency=medium

  * version 2.11.0

 -- Christian Spielberger <c.spielberger@commend.com>  Wed, 11 Jan 2023 08:00:00 +0200

baresip (2.10.0) unstable; urgency=medium

  * version 2.10.0

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Tue, 6 Dec 2022 08:00:00 +0200

baresip (2.9.0) unstable; urgency=medium

  * version 2.9.0

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Thu, 1 Nov 2022 08:00:00 +0200

baresip (2.8.1) unstable; urgency=medium

  * version 2.8.1

 -- Christian Spielberger <c.spielberger@commend.com>  Sat, 1 Oct 2022 12:00:00 +0200

baresip (2.8.0) unstable; urgency=medium

  * version 2.8.0

 -- Christian Spielberger <c.spielberger@commend.com>  Sat, 1 Oct 2022 08:00:00 +0200

baresip (2.7.0) unstable; urgency=medium

  * version 2.7.0

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Thu, 1 Sep 2022 08:00:00 +0200

baresip (2.5.0) unstable; urgency=medium

  * version 2.5.0

 -- Christian Spielberger <c.spielberger@commend.com>  Fri, 1 Jul 2022 08:00:00 +0200

baresip (2.4.0) unstable; urgency=medium

  * version 2.4.0

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Wed, 1 Jun 2022 14:15:35 +0100

baresip (2.0.2) unstable; urgency=medium

  * version 2.0.2

 -- Juha Heinanen <jh@tutpro.com>  Mon, 25 Apr 2022 11:54:35 +0300

baresip (1.0.0) unstable; urgency=medium

  * version 1.0.0

 -- Alfred E. Heggestad <alfred.heggestad@gmail.com>  Sun, 20 Sep 2020 13:24:20 +0300

baresip (0.6.6) unstable; urgency=medium

  * version 0.6.6

 -- Alfred E. Heggestad <alfred.heggestad@gmail.com>  Thu, 16 Apr 2020 16:00:00 +0200

baresip (0.6.5) unstable; urgency=medium

  * version 0.6.5

 -- Alfred E. Heggestad <alfred.heggestad@gmail.com>  Sun, 1 Dec 2019 09:00:00 +0100

baresip (0.6.4) unstable; urgency=medium

  * version 0.6.4

 -- Alfred E. Heggestad <alfred.heggestad@gmail.com>  Sun, 1 Sep 2019 08:00:00 +0200

baresip (0.6.3) unstable; urgency=medium

  * version 0.6.3

 -- Alfred E. Heggestad <alfred.heggestad@gmail.com>  Sat, 22 Jun 2019 08:00:00 +0200

baresip (0.6.2) unstable; urgency=medium

  * version 0.6.2

 -- Alfred E. Heggestad <alfred.heggestad@gmail.com>  Fri, 19 Apr 2019 12:00:00 +0200

baresip (0.6.1) unstable; urgency=medium

  * version 0.6.1

 -- Alfred E. Heggestad <alfred.heggestad@gmail.com>  Sun, 17 Feb 2019 10:00:00 +0100

baresip (0.6.0) unstable; urgency=medium

  * version 0.6.0

 -- Alfred E. Heggestad <alfred.heggestad@gmail.com>  Sat, 1 Dec 2018 10:00:00 +0100

baresip (0.5.11) unstable; urgency=medium

  * version 0.5.11

 -- Alfred E. Heggestad <alfred.heggestad@gmail.com>  Sat, 15 Sep 2018 10:00:00 +0200

baresip (0.5.10) unstable; urgency=medium

  * version 0.5.10

 -- Alfred E. Heggestad <alfred.heggestad@gmail.com>  Wed, 4 Jul 2018 14:00:00 +0200

baresip (0.5.9) unstable; urgency=medium

  * version 0.5.9

 -- Alfred E. Heggestad <alfred.heggestad@gmail.com>  Sat, 21 Apr 2018 12:00:00 +0200

baresip (0.5.8) unstable; urgency=medium

  * version 0.5.8

 -- Alfred E. Heggestad <alfred.heggestad@gmail.com>  Sun, 11 Feb 2018 18:00:00 +0100

baresip (0.5.7) unstable; urgency=medium

  * version 0.5.7

 -- Alfred E. Heggestad <alfred.heggestad@gmail.com>  Mon, 25 Dec 2017 10:00:00 +0100

baresip (0.5.6) unstable; urgency=medium

  * version 0.5.6

 -- Alfred E. Heggestad <alfred.heggestad@gmail.com>  Sat, 14 Oct 2017 10:00:00 +0200

baresip (0.5.5) unstable; urgency=medium

  * version 0.5.5

 -- Alfred E. Heggestad <alfred.heggestad@gmail.com>  Thu, 7 Sep 2017 16:00:00 +0200

baresip (0.5.4) unstable; urgency=medium

  * version 0.5.4

 -- Alfred E. Heggestad <alfred.heggestad@gmail.com>  Sat, 24 Jun 2017 12:00:00 +0200

baresip (0.5.3) unstable; urgency=medium

  * version 0.5.3

 -- Alfred E. Heggestad <alfred.heggestad@gmail.com>  Sun, 14 May 2017 07:00:00 +0200

baresip (0.5.2) unstable; urgency=medium

  * version 0.5.2



=== debian/control ===
Source: baresip
Section: comm
Priority: optional
Maintainer: Alfred E. Heggestad <aeh@db.org>
Standards-Version: 4.1.5
Build-Depends: cmake, dh-cmake, dh-cmake-compat (= 1), dh-sequence-cmake, debhelper-compat (= 12)
Homepage: https://github.com/baresip/baresip

Package: baresip
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libbaresip (>= 2.11.0)
Description: Modular SIP User-Agent with audio and video support
 Design goals:
 .
  Minimalistic and modular VoIP client
  SIP, SDP, RTP/RTCP, STUN/TURN/ICE
  IPv4 and IPv6 support
  RFC compliant
  Robust, fast, low footprint
  Portable C99 and C11 source code

Package: libbaresip
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libre (>= 2.11.0)
Description: Baresip library

Package: libbaresip-dev
Architecture: any
Section: libdevel
Depends: libbaresip (= ${binary:Version}), ${misc:Depends}
Description: Baresip library development files
 See https://github.com/baresip/baresip/wiki/Using-baresip-as-a-library
 for an example.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release
